# eslint-config-iplayer-jsx

> [eslint](http://eslint.org/) config for BBC iPlayer React JSX projects.

Other useful iPlayer eslint configs:

* [eslint-config-iplayer](https://www.npmjs.com/package/eslint-config-iplayer)
* [eslint-config-iplayer-legacy](https://www.npmjs.com/package/eslint-config-iplayer-legacy)

## Installation

```
npm install --save-dev eslint-config-iplayer-jsx
```

## Usage

Add the following to your `package.json`:

```json
{
  "eslintConfig": {
    "extends": "iplayer-jsx"
  }
}
```

This package currently sets the default ECMAScript Version to be 9. If you require a different version you can change it like so:

```json
{
  "eslintConfig": {
    "extends": "iplayer-jsx"
  },
  "parserOptions": {
    "ecmaVersion": 6,
  }
}
```
