'use strict';

const mainRules = require('eslint-config-iplayer');

const env = Object.assign({}, mainRules.env, { browser: true });

const parserOptions = Object.assign(
  {},
  mainRules.parserOptions,
  {
    ecmaFeatures: {
      generators: false,
      objectLiteralDuplicateProperties: false,
      jsx: true,
      modules: true
    }
  });

module.exports = {
  plugins: [
    'react',
    'react-hooks'
  ],
  extends: [
    'eslint-config-iplayer',
    './rules/jsx',
    './rules/style'
  ].map(require.resolve),
  env,
  parserOptions,
  rules: {},
  settings: {
    react: {
      version: 'detect'
    }
  }
};
