'use strict';

module.exports = {
  rules: {
    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/no-children-prop.md
    ['react/no-children-prop']: 2,
    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/no-danger-with-children.md
    ['react/no-danger-with-children']: 2,
    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/no-direct-mutation-state.md
    ['react/no-direct-mutation-state']: 2,
    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/no-find-dom-node.md
    ['react/no-find-dom-node']: 1,
    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/no-is-mounted.md
    ['react/no-is-mounted']: 2,
    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/no-render-return-value.md
    ['react/no-render-return-value']: 1,
    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/no-string-refs.md
    ['react/no-string-refs']: 1,
    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/no-unescaped-entities.md
    ['react/no-unescaped-entities']: 2,
    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/no-unknown-property.md
    ['react/no-unknown-property']: 2,
    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/require-render-return.md
    ['react/require-render-return']: 2,
    // https://reactjs.org/docs/hooks-rules.html#eslint-plugin
    ['react-hooks/rules-of-hooks']: 2,
    // https://reactjs.org/docs/hooks-rules.html#eslint-plugin
    ['react-hooks/exhaustive-deps']: 1
  }
};
